gnutls-0.2: Bindings for GNU libgnutls

Safe Haskell | None
Language | Haskell98

Network.Protocol.TLS.GNU

Contents

- Settings

Synopsis

- data TLS a
- data Session
- data Error = Error Integer
- runTLS :: Session -> TLS a -> IO (Either Error a)
- runClient :: Transport -> TLS a -> IO (Either Error a)
- getSession :: TLS Session
- handshake :: TLS ()
- rehandshake :: TLS ()
- putBytes :: ByteString -> TLS ()
- getBytes :: Integer -> TLS ByteString
- checkPending :: TLS Integer
- data Transport = Transport {
  - transportPush :: ByteString -> IO ()
  - transportPull :: Integer -> IO ByteString
  }
- handleTransport :: Handle -> Transport
- data Credentials
- setCredentials :: Credentials -> TLS ()
- certificateCredentials :: TLS Credentials

# Documentation

data TLS a Source #

Instances

Monad TLS Source # |
Instance details Defined in Network.Protocol.TLS.GNU Methods (>>=) :: TLS a -> (a -> TLS b) -> TLS b Source # (>>) :: TLS a -> TLS b -> TLS b Source # return :: a -> TLS a Source # fail :: String -> TLS a Source #
Functor TLS Source # |
Instance details Defined in Network.Protocol.TLS.GNU Methods fmap :: (a -> b) -> TLS a -> TLS b Source # (<$) :: a -> TLS b -> TLS a Source #
Applicative TLS Source # |
Instance details Defined in Network.Protocol.TLS.GNU Methods pure :: a -> TLS a Source # (<*>) :: TLS (a -> b) -> TLS a -> TLS b Source # liftA2 :: (a -> b -> c) -> TLS a -> TLS b -> TLS c Source # (*>) :: TLS a -> TLS b -> TLS b Source # (<*) :: TLS a -> TLS b -> TLS a Source #
MonadIO TLS Source # |
Instance details Defined in Network.Protocol.TLS.GNU Methods liftIO :: IO a -> TLS a Source #
MonadError TLS Source # |
Instance details Defined in Network.Protocol.TLS.GNU Associated Types type ErrorType TLS :: Type Source # Methods throwError :: ErrorType TLS -> TLS a Source # catchError :: TLS a -> (ErrorType TLS -> TLS a) -> TLS a Source #
type ErrorType TLS Source # |
Instance details Defined in Network.Protocol.TLS.GNU type ErrorType TLS = Error

data Session Source #

data Error Source #

Constructors

Error Integer |

Instances

Show Error Source # |
Instance details Defined in Network.Protocol.TLS.GNU Methods showsPrec :: Int -> Error -> ShowS Source # show :: Error -> String Source # showList :: [Error] -> ShowS Source #

runTLS :: Session -> TLS a -> IO (Either Error a) Source #

runClient :: Transport -> TLS a -> IO (Either Error a) Source #

getSession :: TLS Session Source #

handshake :: TLS () Source #

rehandshake :: TLS () Source #

putBytes :: ByteString -> TLS () Source #

getBytes :: Integer -> TLS ByteString Source #

checkPending :: TLS Integer Source #

# Settings

data Transport Source #

Constructors

Transport |

Fields

- transportPush :: ByteString -> IO ()
- transportPull :: Integer -> IO ByteString

handleTransport :: Handle -> Transport Source #

data Credentials Source #

setCredentials :: Credentials -> TLS () Source #

certificateCredentials :: TLS Credentials Source #